﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Understanding Jobs for Analytics Controls</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Understanding Jobs for Analytics Controls</h1>
        <p>This section provides details for the various jobs related to analytics controls, which you can run or schedule.</p>
        <p>The following scenarios briefs some of the Analytics jobs for which the configuration settings are located in <strong>Admin &gt; Global Configurations &gt; Analytics</strong>.</p>
        <p><strong>Scenario1</strong>: When Merged Analytics interface is selected in <strong>Admin &gt; Global Configurations &gt; Analytics</strong>.</p>
        <p>
            <img src="../Resources/Images/show merged view.jpg" />
        </p>
        <p>If the Merged Analytics interface is selected from Global Configurations, the following jobs&#160;will be visible in the Analytics Job Control Panel. There is only one <strong>RunAllAnalyticsJob</strong> which can be used to schedule or run both Elasticsearch and database Analytics Controls.</p>
        <ul>
            <li>
                <p>Analytics Reminder Notification – v2 or (AcceptedAnalyticsViolationReminder Job)</p>
            </li>
            <li>
                <p>Email Control Results based on Security Context or (AnalyticsESExport Job)</p>
            </li>
            <li>
                <p>RunAllAnalyticsJob</p>
            </li>
            <li>
                <p>Summary Control Job</p>
            </li>
            <li>
                <p>Upgrade Job</p>
            </li>
        </ul>
        <p>
            <img src="../Resources/Images/create new trigger.png- analytics.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;" />
        </p>
        <p><strong>Scenario2:</strong>&#160;When Merged Analytics interface is not selected in <strong>Admin &gt; Global Configurations &gt; Analytics.</strong></p>
        <p>If the Merged Analytics&#160;interface is not selected from Global Configurations, the following jobs&#160;will be visible in the Analytics Job Control Panel.&#160;There are two different Run Analytics controls jobs which can be used to schedule or run Elasticsearch and Database Analytics Controls separately.</p>
        <ul>
            <li>
                <p>Analytics Reminder Notification – v2 or (AcceptedAnalyticsViolationReminder Job)</p>
            </li>
            <li>
                <p>Email Control Results based on Security Context or (AnalyticsESExport Job)</p>
            </li>
            <li>
                <p>Run All Analytics-v2 Job or AnalyticsESJob</p>
            </li>
            <li>
                <p>Run All Analytics-v1 Job or AnalyticsJob</p>
            </li>
            <li>
                <p>Summary Control Job</p>
            </li>
            <li>
                <p>Upgrade Job</p>
            </li>
        </ul>
        <p>
            <img src="../Resources/Images/create new trigger - analytics 2.png" />
        </p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 333.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 391px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Job Name</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>ACCEPTEDANALYTICSVIOLATIONREMINDERJOB</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">For any control, the owners can accept violations for a specific duration.</p>
                            <p class="table-text">
                                <img src="../Resources/Images/allowed action.png" />
                            </p>
                            <p class="table-text">
                                <img src="../Resources/Images/enter comments.png" />
                            </p>
                            <p class="table-text">The&#160;&#160;ACCEPTEDANALYTICSVIOLATIONREMINDERJOB helps to trigger a reminder email when the accepted end date of the violation approaches.&#160;This job option thus allows you to run or schedule a job for triggering a reminder email for those controls with accepted violations, based on the configured reminder days.&#160;</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">You can select the required reminder email template from <strong>Admin &gt; Global Configurations &gt; Analytics &gt;&#160;Analytics Accepted Violations Reminder Email template</strong> option. For more information about this option, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Analytics-Configuration.htm">Analytics Configuration</MadCap:xref>.</p>
                            </div>
                            <p class="table-text">Open the job panel and click  &#160;<strong>Actions</strong>. The following options are available:</p>
                            <ul>
                                <li>
                                    <p>Start: Select this option to start the job.</p>
                                </li>
                                <li>
                                    <p>Edit Trigger: Select this option when you want to edit the details before triggering the job.</p>
                                </li>
                                <li>
                                    <p>Schedule: Select this option to schedule this job at a specific time.</p>
                                </li>
                            </ul>
                            <p class="table-text">In all these options, the following pop-up window is displayed, where you can configure the job properties.</p>
                            <p class="table-text">
                                <img src="../Resources/Images/actions tab options.png" />
                            </p>
                            <p>In the Create New Trigger&#160;pop-up, you can configure the&#160;following options:</p>
                            <ul>
                                <li>
                                    <p><strong>Analytics Categories</strong>: Select the Analytics categories containing controls (with accepted violations) that need reminder emails triggered.&#160;</p>
                                </li>
                                <li>
                                    <p><strong>Analytics SubCategories</strong>:&#160;Select the Analytics subcategories&#160;containing controls (with accepted violations)&#160;that&#160;need reminder emails triggered.&#160;</p>
                                </li>
                                <li>
                                    <p><strong>Accepted Analytics Violations Reminder Days</strong>: This is a mandatory field.&#160;In this field, you must set the number of days prior to which you need reminder email triggered for expiring accepted violations.&#160;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p id="AnalyticsJobControlPanel-Emailcontrolresultsbasedonsecuritycontext(ANALYTICSESEXPORTJOB)" class="table-text">Email control results based on security context (ANALYTICSESEXPORTJOB)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">For Elasticsearch based Analytic Controls, you can export the analytics history based on category specified, to a specific username. In addition, there is an option to also specify the username to which you want to send the zipped excel files of specified categories and records, which the respective user can see.&#160;</p>
                            <p class="table-text">This job provides you an option to run the job or schedule a job for exporting report of records for the specified category to a user. For each control in the specified category, a separate excel file is created and sent in a zipped file. If you select the Export Summary check box, when you click ANALYTICSESEXPORTJOB you can also export the summarized view as an additional excel file, which will also be sent in the zipped file.</p>
                            <p class="table-text">After specifying the Job name, when you click Start, the following 3 parameter values are provided:</p>
                            <ul>
                                <li>
                                    <p class="table-text"><strong>Analytics Categories</strong>: Select the analytics categories for which you want to send the reports. All controls within the category, which the user can see will be sent as separate excel file.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>User Name</strong>: Enter the username of the user to whom you want to send an email of the zipped file containing excel files for the category specified.</p>
                                </li>
                                <li>
                                    <p class="table-text"><strong>Export Summary</strong>: (Optional) If selected one more summary file (which is a Microsoft Excel file) is also sent in addition to the per control-wise Excel file to the user.</p>
                                </li>
                            </ul>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">Earlier, the Analytics History reports were exported to the desired user's email, in a single zip file containing one zip file for each control. Each zip file contained the MS Excel file of all open and accepted violations for the control. During the export of Analytics History reports, depending on the number of controls in each category, the same number of zip files were created.</p>
                            </div>
                            <p>The export process is now simplified so that you can generate a daily single report for a category, to show the open violations list that you need to work on a daily basis.</p>
                            <p>The Analytics Job “Email control results based on security context” calls the filters "Open and Not Open" in the flat view of Analytics History&#160;along with additional parameters, to extract the report.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p id="AnalyticsJobControlPanel-RunallAnalytics-v2(ANALYTICSESJOB)" class="table-text">Run all Analytics-v2 (ANALYTICSESJOB)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Using the ANALYTICSESJOB, you can run or schedule jobs to perform a default action for specified Category and Sub-Categories for Elasticsearch-based analytics. For example, if you have thousands of records for which you want to take a default action, you can specify the default action in the query itself while creating the control. Later, if you want to take a default action for a huge set of records in Analytics Elasticsearch Controls, you can specify the category, sub-category and enable the 'Enable Default Action for Analytics' checkbox then the specified action in query is taken for all the records when it is run or scheduled.&#160;</p>
                            <p class="table-text">When you click <strong>Action</strong>, a dialog box with the following&#160;options is displayed:</p>
                            <ul>
                                <li>
                                    <p>Analytics Categories: Select one or&#160;more categories for Analytics as per your requirement.</p>
                                </li>
                                <li>
                                    <p>Analytics SubCategories: Based on Categories selected, subcategories are populated. Select the sub-category for which you want the ANALYTICSESJOB to run and take the default action.</p>
                                </li>
                                <li>
                                    <p>Enable Default Action for Analytics: Enable this check box, if you want to take a default action for all the violations under specified category and sub-category. </p>
                                </li>
                            </ul>
                            <p>
                                <img src="../Resources/Images/execute default action.png" />
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p id="AnalyticsJobControlPanel-RunallAnalytics-v1(ANALYTICSJOB)" class="table-text">Run all Analytics-v1&#160;<strong>(ANALYTICSJOB)</strong></p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Using the ANALYTICSJOB, you can run or schedule jobs to perform a default action for specified Category and Sub-Categories for normal analytics (without Elasticsearch). For example, if you have thousands of records for which you want to take a default action, you can specify the default action in the query itself while creating the control. Later, if you want to take a default action for a huge set of records in Analytics Controls, you can specify the category, sub-category and enable the 'Enable Default Action for Analytics' checkbox then the specified action in query is taken for all the records when it is run or scheduled.&#160;</p>
                            <p class="table-text">When you click <strong>Action</strong>, a dialog box with the following options is displayed:</p>
                            <ul>
                                <li>
                                    <p><strong>Analytics Categories</strong>: Select one or&#160;more&#160;categories for Analytics as per your requirement.</p>
                                </li>
                                <li>
                                    <p><strong>Analytics SubCategories</strong>: Based on Categories selected, subcategories are populated. Select the sub-category for which you want the&#160;ANALYTICSJOB to run and take the default action.</p>
                                </li>
                                <li>
                                    <p><strong>Enable Default Action for Analytics</strong>: Enable this check box, if you want to take a default action for all the violations under specified category and sub-category.<br /></p>
                                    <p>If you want the default action configured in the analytics query to be executed by default along with this job execution, ensure that the following option is selected:</p>
                                </li>
                            </ul>
                            <p>
                                <img src="../Resources/Images/execute default action.png" />
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p id="AnalyticsJobControlPanel-RunAllAnalyticsJob" class="table-text"><strong>Run All Analytics Job</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">If you are using the merged analytics interface, you will have a single job through which you can run, schedule any type of analytics controls.</p>
                            <p class="table-text">This job gives two ways to run/schedule the analytics controls:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Using the analytics categories and sub-categories based wizard.</p>
                                    <p class="table-text">
                                        <img src="../Resources/Images/Selecting separate analytics category.png" />
                                        <br />
                                        <img src="../Resources/Images/Selecting ALL from Analytics Categories.png" />
                                    </p>
                                </li>
                            </ul>
                            <p class="table-text">Here, Analytics Categories is a mandatory field. You can either select separate analytics categories or select <strong>ALL</strong> from the list of options. If you select, <strong>ALL</strong> you will not be able to select or unselect other categories.</p>
                            <ul>
                                <li>
                                    <p class="table-text">Using Advanced query - AdvanceQuery will be considered only if <strong>AdvanceOption</strong> is selected, otherwise basic option will be considered. To make use of this option, select the <strong>Advance Option </strong>check box. </p>
                                </li>
                            </ul>
                            <p class="table-text">Advanced queries can be configured here to return analytics controls based on custom set of criteria.</p>
                            <p class="table-text">If you want the default action configured in analytics query to be executed by default along with this job execution, ensure that the following check box is selected. </p>
                            <p class="table-text">
                                <img src="../Resources/Images/execute default action.png" />
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p id="AnalyticsJobControlPanel-SummaryControlJob" class="table-text"><strong>SummaryControlJob</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">When the&#160;<strong>SummaryControlJob</strong>&#160;is run, it sends emails to the endpoint owners based on endpoint key configuration in the analytics query used searching for the analytics controls. If the endpoint owner is not defined, the emails are sent to the admin user.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p id="AnalyticsJobControlPanel-UpgradeJob" class="table-text"><strong><span class="inline-comment-marker">Upgrade Job</span></strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Saviynt Identity Governance and Administration (IGA) provides you the capability to migrate analytics controls and maintain all actions from Version 1 (V1)&#160;to Version 2 (V2), as part of the&#160;Upgrade Job&#160;from&#160;Job Control Panel. During migration, the history data of&#160;the control is also migrated from V1 to V2.</p>
                            <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                <p class="note">Using this migration utility, preventative controls cannot be migrated from Analytics V1 to V2&#160; because runtime preventative controls are not supported in Analytics V2.</p>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2>Migrating Analytics Control</h2>
        <p>Perform the following steps to migrate Analytics Controls from V1 to V2:</p>
        <ol>
            <li>
                <p>Select <strong> Admin &gt; Job Control Panel &gt; System &gt; Upgrade Job</strong>.&#160;</p>
            </li>
            <li>
                <p>Click <strong>Add New Job</strong>.&#160;</p>
            </li>
            <li>
                <p>&#160;Enter the new job name.</p>
            </li>
            <li>
                <p>In the new job, select <strong>Action &gt; Start</strong>.</p>
            </li>
            <li>In the <strong>Enter Details</strong> page, select upgrade type as&#160;Migrate V1 to V2 analytics. &#160;<br />This is the option that helps you&#160;to migrate analytics controls from Version 1 to Version 2.<br /><img src="../Resources/Images/v1 to v2 migrate.png" /><br /></li>
        </ol>
        <ol MadCap:continue="true">
            <li>
                <p>Enter the SQL Query to migrate in <strong>Enter query to migrate</strong> field. </p>
                <p>For example,</p>
                <p style="margin-left: 30.0px;">Example 1: and a.risk='high'</p>
                <p style="margin-left: 30.0px;">Example 2: and a.analyticsName='&lt;name&gt;', where &lt;name&gt; represents the name of the V1 Analytics Control that you want to migrate. </p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">The SQL query is case sensitive. Use the same case as seen in the example while entering the query.</p>
                </div>
                <p>
                    <img src="../Resources/Images/Analytics Query to Migrate Controls.png" />
                </p>
            </li>
            <li>
                <p>Click <strong>Submit</strong> .</p>
            </li>
            <p>The steps listed above are applicable only when the&#160;Flat Job Control Panel is not enabled (from <strong>Admin &gt; Configurations &gt; Global Configurations &gt; Common &gt;&#160;Enable Flat Job Control Panel</strong> is turned <b>OFF</b>).</p>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">Following changes are noted after migration:&#160;</p>
            <ol style="list-style-type: lower-roman;">
                <li>
                    <p class="note">The configuration history of the V1 control is also migrated. <br />You are informed about the name of job used for migration, date of migration and name of user who performed migration.</p>
                </li>
                <li>
                    <p class="note"> The existing V1 control is disabled and status is changed to 'Migrated'.</p>
                </li>
            </ol>
            <div class="info" MadCap:conditions="Default.v55X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
                <p class="note">The following capabilities are available from the release v5.5.2 and later.</p>
            </div>
            <ol style="list-style-type: lower-roman;" MadCap:continue="true">
                <li>
                    <p class="note">Suffix _v1 which was being added to the <strong>Analytics Name</strong> field in V2 control is now replaced by a numeric suffix such as _1, _2 and so on.&#160;The numeric suffix gets incremented based on the previous numeric suffix available in V2 control.<br />For example, if <strong>Analytics Name</strong> in V1 control = 'Users report' and if V2 control already has three reports with names 'Users report', 'Users report_1' and 'Users report_2', then after migration <strong>Analytics Name</strong> is changed to 'Users report_3'.&#160;</p>
                </li>
                <li>
                    <p class="note">In the <strong>Analytics History V2</strong> page, columns with the following keywords are appended with _1 : UPDATEDATE, COMMENTS, ANALYTICSHISTORYKEY, ANALYTICSCONFIG, HASHCODE, ACTION, STATUS, FULRUN, ID, BASECOUNTRUN, OWNER, ENDDATE, STARTDATE.&#160;</p>
                </li>
            </ol>
        </div>
    </body>
</html>